"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var react_1 = require("react");
function useDocumentTitle(title, joiner) {
    if (joiner === void 0) { joiner = " • "; }
    (0, react_1.useEffect)(function () {
        var _a;
        if (!Array.isArray(title))
            title = [title];
        var baseTitle = (_a = document.head.querySelector("title")) === null || _a === void 0 ? void 0 : _a.getAttribute("base");
        baseTitle && title.push(baseTitle);
        title = title.join(joiner);
        document.title = title;
    }, []);
    return null;
}
exports.default = useDocumentTitle;
