import { useEffect } from 'react';
function useDocumentTitle(title, joiner) {
    if (joiner === void 0) { joiner = " • "; }
    useEffect(function () {
        var _a;
        if (!Array.isArray(title))
            title = [title];
        var baseTitle = (_a = document.head.querySelector("title")) === null || _a === void 0 ? void 0 : _a.getAttribute("base");
        baseTitle && title.push(baseTitle);
        title = title.join(joiner);
        document.title = title;
    }, []);
    return null;
}
export default useDocumentTitle;
